<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmRawRefFlags Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmRawRefFlags Enumeration

Visual Basic
C#
C++/CLI
Flags used in EdmRawReference. Bitmask.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmRawRefFlags
       Inherits System.Enum

C# |
--- | ---

    public enum EdmRawRefFlags : System.Enum

C++/CLI |
--- | ---

    public enum class EdmRawRefFlags : public System.Enum

# Members

Member | Description
--- | ---
Edmrrf_Ghost | 1 = DWG files can store grandchildren as references; for example, in the file tree: A.dwg=>B.dwg=>C.dwg the file C.dwg can be stored as a ghost reference in A.dwg and as a normal reference in B.dwg; SOLIDWORKS PDM Professional does not show ghost references in check-in dialog boxes but does update them when files are moved
Edmrrf_InternalComponent | 2 = Not used
Edmrrf_Nothing | 0 = Normal file reference

# See Also

####

EPDM.Interop.epdm Namespace